Subject: Re: bug#41336: guix pull error (on armhf) a few minutes ago

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 19 Oct 2020 08:59:48 -0400

Hello Danny,

Danny Milosavljevic <[email-masked]> writes:

> ./guix.ru.texi:956: warning: accent command `@,' must not be followed by whitespace
> ./guix.ru.texi:21275: @pxref reference to nonexistent node `Channels'
> ./guix.ru.texi:26842: @pxref reference to nonexistent node `Channels'
> ./guix.ru.texi:28006: @pxref reference to nonexistent node `Channels'
> Backtrace:
>            3 (primitive-load "/gnu/store/jgy520477c1wis3cx9rsq6pzvh7?")
> In ice-9/eval.scm:
>     619:8  2 (_ #f)
> In ice-9/boot-9.scm:
>    260:13  1 (for-each #<procedure 2e70c0 at ice-9/eval.scm:333:13 ?> ?)
> In guix/build/utils.scm:
>     654:6  0 (invoke _ . _)
>
> guix/build/utils.scm:654:6: In procedure invoke:
> ERROR:
>   1. &invoke-error:
>       program: "/gnu/store/cd9vnmj0z9068xrgvssavnkfc8a9svly-texinfo-6.7/bin/makeinfo"
>       arguments: ("./guix.ru.texi" "-I" "/gnu/store/mq3nc6nas9p2ws259lx61vsyfgckmwpb-doc" "-I" "." "-o" "/gnu/store/bd9xg07n7jc5bf2x3afhr6k80v4biykg-guix-manual/guix.ru.info")
>       exit-status: 1
>       term-signal: #f
>       stop-signal: #f

I've 'guix environment --system=armhf-linux guix' into my checkout, then
ran:

--8<---------------cut here---------------start------------->8---
$ for i in {1..20}; do if ! makeinfo -v guix.ru.texi -I .; \
  then echo "error: makeinfo exited with $?"; break; fi; done
guix.ru.texi:968: warning: accent command `@,' must not be followed by whitespace
Output file guix.ru.info
Renaming first output file as guix.ru.info-1
New output file guix.ru.info-2
New output file guix.ru.info-3
New output file guix.ru.info-4
New output file guix.ru.info-5
Outputing the split manual file guix.ru.info
Wide character in warn at /gnu/store/r5j8yxxf7sknj3bqpfw2qwq30awhzakb-profile/bin/makeinfo line 632.
guix.ru.texi:4239: warning: `.' or `,' must follow @xref, not д
guix.ru.texi:968: warning: accent command `@,' must not be followed by whitespace
--8<---------------cut here---------------end--------------->8---

without encountering the above problem.

Closing, but feel free to reopen if you encounter it again or are able
to reproduce it.

Thanks,

Maxim